<?php
require('./_admin/fpdf.php');
class PDF extends FPDF {
	protected $B = 0;
	protected $I = 0;
	protected $U = 0;
	protected $HREF = '';
	function WriteHTML($html) {
		// Parseur HTML
		$html = str_replace("\n",' ',$html);
		$a = preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
		foreach($a as $i=>$e)
		{
			if($i%2==0)
			{
				// Texte
				if($this->HREF)
					$this->PutLink($this->HREF,$e);
				else
					$this->Write(5,$e);
			}
			else
			{
				// Balise
				if($e[0]=='/')
					$this->CloseTag(strtoupper(substr($e,1)));
				else
				{
					// Extraction des attributs
					$a2 = explode(' ',$e);
					$tag = strtoupper(array_shift($a2));
					$attr = array();
					foreach($a2 as $v)
					{
						if(preg_match('/([^=]*)=["\']?([^"\']*)/',$v,$a3))
							$attr[strtoupper($a3[1])] = $a3[2];
					}
					$this->OpenTag($tag,$attr);
				}
			}
		}
	}
	function OpenTag($tag, $attr){
		// Balise ouvrante
		if($tag=='B' || $tag=='I' || $tag=='U')
			$this->SetStyle($tag,true);
		if($tag=='A')
			$this->HREF = $attr['HREF'];
		if($tag=='BR')
			$this->Ln(5);
	}
	function CloseTag($tag){
		// Balise fermante
		if($tag=='B' || $tag=='I' || $tag=='U')
			$this->SetStyle($tag,false);
		if($tag=='A')
			$this->HREF = '';
	}
	function SetStyle($tag, $enable){
		// Modifie le style et slectionne la police correspondante
		$this->$tag += ($enable ? 1 : -1);
		$style = '';
		foreach(array('B', 'I', 'U') as $s)
		{
			if($this->$s>0)
				$style .= $s;
		}
		$this->SetFont('',$style);
	}
	function PutLink($URL, $txt){
		// Place un hyperlien
		$this->SetTextColor(0,0,255);
		$this->SetStyle('U',true);
		$this->Write(5,$txt,$URL);
		$this->SetStyle('U',false);
		$this->SetTextColor(0);
	}
	// En-tte
	function Header() {
		// Logo
		$this->Image('./templates/'.$_SESSION['pathlogo'].'/images/header_logo.jpg',80,6,50); //xpos, ypos, taille
		// Police Arial gras 15
		$this->SetFont('Arial','B',15);
		// Dcalage  droite
		$this->Cell(80);
		// Titre
		$this->Cell(16,50,'Votre panier',0,0,'C'); //taille police, ypos, bordure
		// Saut de ligne
		$this->Ln(20);
	}
	// Pied de page
	function Footer() {
		// Positionnement  1,5 cm du bas
		$this->SetY(-15);
		// Police Arial italique 8
		$this->SetFont('Arial','I',8);
		// Numro de page
		$this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
	}
	function CorpsChapitre($my_html) {
		// Lecture du fichier texte
		$txt = file_get_contents($my_html);
		// Times 12
		$this->SetFont('Times','',12);
		// Sortie du texte justifi
		$this->MultiCell(0,5,$txt);
		// Saut de ligne
		$this->Ln();
		// Mention en italique
		$this->SetFont('','I');
		$this->Cell(0,5,"(fin de l'extrait)");
	}
	function AjouterChapitre($num, $titre, $my_html) {
		$this->AddPage();
		$this->CorpsChapitre($my_html);
		$this->Ln();
	}
}
//contenu du pdf. utiliser les variables $attachment et $numero dans vos pages php pour gnrer le pdf
$html = $attachment;
$numero = $numattachment;
//creation du pdf
$dossierpdf='./userfiles/gpdfs/';
if(!is_dir($dossierpdf)){ @mkdir($dossierpdf,0777); }
$file = $dossierpdf.$cvaleurs[1].'_'.$numero.'.pdf';
$pdf = new PDF('L','mm','A4');
$pdf->AliasNbPages(); //affiche le nombre de pages
$pdf->AddPage();
$link = $pdf->AddLink();
$pdf->SetLink($link);
$pdf->SetLeftMargin(45); //ajoute une marge de gauche
$pdf->SetFontSize(14);
$pdf->SetFont('Times','',12);
$pdf->WriteHTML(utf8_decode($html)); //pour les accents et autres
$pdf->Output('F', $file);
?>